<template>
  <details-card>
    <v-row class="v-container-info-patient">
      <v-col md="1" align-self="center">
        <img
          :src="this.patient.profileImageUrl"
          width="100"
          height="100"
          class="pa-0 secondary rounded-circle d-inline-block"
          alt="Foto del paciente"
        >
      </v-col>
      <v-col md="8" offset-md="2">
        <h2 class="font-weight-black">
          {{ this.patient.name + ' ' + this.patient.fatherLastname + ' ' + this.patient.motherLastname }}
        </h2>
        <h3 class="font-weight-regular">
          DNI: {{ this.patient.dni }}
        </h3>
        <h3 class="font-weight-regular">
          Número de celular: {{ this.patient.phoneNumber }}
        </h3>
        <h3 class="font-weight-regular">
          Correo electrónico:    {{ this.patient.email }}
        </h3>
      </v-col>
    </v-row>
  </details-card>
</template>

<script>
import DetailsCard from '~/components/Cards/DetailsCard.vue'

export default {
  name: 'PatientCard',
  components: {
    'details-card': DetailsCard,
  },
  props: {
    patient: Object,
  }
  
};
</script>
